org.apache.fop.render.rtf.rtflib.tools

## Class ImageConstants

- java.lang.Object
- - org.apache.fop.render.rtf.rtflib.tools.ImageConstants

    public final class ImageConstants
    extends Object

Here will be defined all supported image formats. This class belongs to the fo:external-graphic tag processing. This work was originally authored by a.putz@skynamics.com (Andreas Putz)

### Field Summary

Fields
`static String` `EMF_EXT` EMF file extension
`static String` `GIF_EXT` GIF file extension
`static int` `I_BMP` Integer equivalent for BMP
`static int` `I_EMF` Integer equivalent for EMF
`static int` `I_GIF` Integer equivalent for GIF
`static int` `I_JPG` Integer equivalent for JPG
`static int` `I_JPG_C` Integer equivalent for JPEG C (??)
`static int` `I_NOT_SUPPORTED` Defines the case, if image is not supported
`static int` `I_PNG` Integer equivalent for PNG
`static String` `JPEG_EXT` JPEG file extension
`static String` `JPG_EXT` JPG file extension
`static String` `PNG_EXT` PNG file extension

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### I_NOT_SUPPORTED

    public static final int I_NOT_SUPPORTED

Defines the case, if image is not supported

See Also:
  Constant Field Values

#### I_EMF

    public static final int I_EMF

Integer equivalent for EMF

See Also:
  Constant Field Values

#### I_PNG

    public static final int I_PNG

Integer equivalent for PNG

See Also:
  Constant Field Values

#### I_JPG

    public static final int I_JPG

Integer equivalent for JPG

See Also:
  Constant Field Values

#### I_BMP

    public static final int I_BMP

Integer equivalent for BMP

See Also:
  Constant Field Values

#### I_GIF

    public static final int I_GIF

Integer equivalent for GIF

See Also:
  Constant Field Values

#### I_JPG_C

    public static final int I_JPG_C

Integer equivalent for JPEG C (??)

See Also:
  Constant Field Values

#### EMF_EXT

    public static final String EMF_EXT

EMF file extension

See Also:
  Constant Field Values

#### PNG_EXT

    public static final String PNG_EXT

PNG file extension

See Also:
  Constant Field Values

#### JPG_EXT

    public static final String JPG_EXT

JPG file extension

See Also:
  Constant Field Values

#### JPEG_EXT

    public static final String JPEG_EXT

JPEG file extension

See Also:
  Constant Field Values

#### GIF_EXT

    public static final String GIF_EXT

GIF file extension

See Also:
  Constant Field Values